GM Volt Forum banner

1 - 12 of 12 Posts

·
Registered
Joined
·
659 Posts
Discussion Starter #1
....as of today 1-13-21 my app stopped working. It says I need to install an update. So I install the update
but it won't let me sign in. I called the help line 877-558-8352 and was told that GM made some changes to the app and
my Samsung S7 with Android is no longer able to run the app. I think this really sucks and will definitely affect my next purchase. Anybody else having this same issue? (my Volt is a 2017 Premium) Love the car, by the way.
 

·
Registered
Joined
·
1,590 Posts
I'm assuming when you state that it will definitely affect your next purchase that you are talking about your new phone?
 

·
Registered
Joined
·
252 Posts
Updated the app earlier today or yesterday and just checked and mine's fine (Huawei running Android).
 

·
Registered
Joined
·
1,590 Posts
I did the update a few days ago and mine works fine as well. The S7 was introduced in February 2016 and released in the US in March making it nearly 5 year old tech.

I believe that the gentleman needs to consider investing in a new phone.
 

·
Registered
Joined
·
659 Posts
Discussion Starter #5
Anybody know what Android version is required to run the updated myChevy app?
And yes, I suppose I may need a new phone...which is a shame as my S7 has been flawless and I hate to ditch stuff
when it still works for most of everything I do. It would have been nice if GM had informed us a little more ahead of time as to the changes they were making.
 

·
Registered
Joined
·
3,737 Posts
I had a similar issue last year. When the mychevy app was updated, android o/s 7 or later was required and my phone was o/s 6. Overnight the app stopped working and in couldn't fix it without replacing a phone that was otherwise working just fine. If they did it again and android 7 isn't compatible anymore..
 

·
Registered
Joined
·
60 Posts
My app has stopped working as well, worked fine 2 days ago. I chatted with someone on the myChevrolet website and the person told me that the app now requires Android 9 or higher. My phone is old, Galaxy S6 and i've been holding off getting a new one so my kids can have newer phones :) Guess I'll have to think about upgrading...
 

·
Registered
Joined
·
360 Posts
I'm using a BlackBerry Key 2 running Android 8.1.0. The app started going into "Update Required" mode a few days ago. I have uninstalled and reinstalled, I even tried the Cadillac version of the app. All to no avail. Android 8 is not that old, just over 3 years. If the app requires 9+, that rules out a huge portion of the user base. That is totally unacceptable. There is nothing in the app description that references minimum Android version. Nor is there a version later than the one from 18 September 2020, which implies that it's not the app itself that is the problem, but something in the OnStar system. I agree with sosmerc, if this is not resolved it will definitely influence my buying decision next time... of the car, not the phone. In the interim, it will almost certainly keep me from renewing OnStar next month. The remote app is about the only thing I've used OnStar for in at least 3 years.

Enforced planned obsolescence without any kind of notification is wrong.
 

·
Registered
Joined
·
1,590 Posts
This appears to be a problem with android and not iPhones. The iPhone 7 will run the latest IOS 14 and therefor will run all the latest apps to boot. The iPhone 7 was released in September of 2016 and is more than 4 years old.

Planned obsolescence is everywhere, you better get used to it. I bet Tesla upgrades their app as well so they can add more features and strengthen security.

Maybe an iPhone is in order. ;)
 

·
Registered
Joined
·
3,737 Posts
Android 9 already? My phone that's not even a year old phone is only android 10. If the app goes dark on me again I'm going to demand a refund on my Onstar subscription.
 

·
Registered
Joined
·
360 Posts
Yesterday the app started going into a EULA loop with "Unexpected Server Response". As we used to say in software testing, a change is progress. So tonight I deleted the app and did a cold boot of my phone, then reinstalled. After a couple of EULA screens everything is working again. I still get a single EULA agreement screen every time I open the app, but that's been happening since the 18 September update. I did also email "[email protected]" yesterday but so far have only received the auto-reply.

So I conclude that there was some sort of problem at the back end. Good thing, since I had no plans to change my phone... although it did give me the excuse to do a bit of "research"!
 

·
Registered
Joined
·
60 Posts
Yesterday the app started going into a EULA loop with "Unexpected Server Response". As we used to say in software testing, a change is progress. So tonight I deleted the app and did a cold boot of my phone, then reinstalled. After a couple of EULA screens everything is working again. I still get a single EULA agreement screen every time I open the app, but that's been happening since the 18 September update. I did also email "[email protected]" yesterday but so far have only received the auto-reply.

So I conclude that there was some sort of problem at the back end. Good thing, since I had no plans to change my phone... although it did give me the excuse to do a bit of "research"!
Great tip, did just what you said and the app is now working on my old phone. Obviously the GM people don't know what they are talking about. :)
 
1 - 12 of 12 Posts
Top